#include<fstream>
#include<cmath>
#include<string.h>
using namespace std;
string bin(int a)
{
	string s="";
	int i;
	while(a!=0)
	{
		char t;
		if(a%2==0) t='0';
		else t='1';
		s+=t;
		a/=2;
	}
	int u=s.length();
	string L=s;
	for(i=0;i<u;i++)
	{
		L[i]=s[u-1-i];
	}
	return L;
}
int main()
{
	ifstream f1("DOINP.INP");
	ofstream f2("DOINP.OUT");
	int i;
	int n;
	f1>>n;
	int f[n];
	for(i=0;i<n;i++)
	{
		f1>>f[i];
	}
	for(i=0;i<n;i++)
	{
		f2<<bin(f[i])<<endl;
	}
	f1.close();
	f2.close();
	return 0;
}
